<div *ngIf="form.active" [ngClass]="{errors: form.submitted}">

  <!-- sooooo, we ngIf on name??? because we use active inside??? Think this over for a bit -->
  <ui-title *ngIf="form.title.name" [title]="form.title"></ui-title>

  <fieldset [disabled]="form.attrs.disabled">
    <div [formGroup]="form.group">

      <ng-container *ngIf="form.controls.length">
        <ng-container *ngFor="let ctrl of form.controls;">

          <div *ngIf="ctrl.active" [ngClass]="ctrl.class.shell">
            <ng-container resolve-config [input]="ctrl" [ctx]="{form: form, page: page}">
              </ng-container>
          </div>

        </ng-container>
      </ng-container>

    </div>
  </fieldset>
</div>
